/*				rdclks				*/

/* test the set and read of the bosun clock */
#include <conio.h>
#include <dos.h>

extern union REGS inregs, outregs;
unsigned int base = 0x27d;
unsigned int base2 = 0x27f;

rdclks()
{
int hr,min,sec,hrc,minc,secc,hsecc,thsecc;	
int shr,smin,ssec,shsec;	/* system clk */
int cmhr,cmmin,cmsec;		/* cmos clk */
char str[10];

	printf("\n  CMOS clk       System clk\n");
	rdsysclk(&shr,&smin,&ssec,&shsec);
	rdcmos(&cmhr,&cmmin,&cmsec);
	printf("     %2x:%2x:%2x  ",cmhr,cmmin,cmsec);
	printf("     %2d:%2d:%2d.%02d\n",shr,smin,ssec,shsec);
}

/* read the cmos clock */
int rdcmos(int *hr,int *min,int *sec)
{
	inregs.h.ah = 0x2;
	int86(0x1a,&inregs,&outregs);
	*hr = outregs.h.ch;
	*min = outregs.h.cl;
	*sec = outregs.h.dh;

}

/* read the system clock */
int rdsysclk(int *hr,int *min,int *sec,int *hsec)
{
	inregs.h.ah = 0x2c;
	intdos(&inregs,&outregs);
	*hr = outregs.h.ch;
	*min = outregs.h.cl;
	*sec = outregs.h.dh;
	*hsec = outregs.h.dl;
}
